Skip to main content
GET
Lookup Block By Timestamp

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

timestamp
string<date-time>
required

The Unix timestamp or ISO 8601 date string for block lookup.

Example:

"2023-11-07T05:31:56Z"

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Query Parameters

lookup_direction
enum<string>
default:before

Direction to look for the block relative to the timestamp.

Available options:
before,
after

Response

Successfully retrieved block details by timestamp.

block
object
required